#!/bin/bash
# Запуск из под root. Должен быть создан пользователь arm.

# Установка необходимых пакетов для работы ARM
apt-get install far2l libdevil libao libbasu0 libcoredumper polkit-gnome libminizip mysql-connector-odbc unixODBC libcap-utils bdftopcf

# Создание каталогов
mkdir -v -m777 /arm
mkdir -v -m777 /home/hst
mkdir -v -m777 /home/hst2
mkdir -v -m777 /home/csv
mkdir -v -m777 /home/xz
mkdir -v -m777 /home/public

# Установка пакета с ARM
rpm -ivh arm-3.01.29-alt.10.2.x86_64.rpm

# Установка файловых атрибутов
chown -R arm:user /arm/*
chown -R arm:user /home/hst/*
chown -R arm:user /home/hst2/*
chown -R arm:user /home/csv/*
chown -R arm:user /home/xz/*
chown -R arm:user /home/public/*
chmod -R u=rwx,g=rwx,o=rwx /arm/*
chmod -R u=rwx,g=rwx,o=rwx /home/hst/*
chmod -R u=rwx,g=rwx,o=rwx /home/hst2/*
chmod -R u=rwx,g=rwx,o=rwx /home/csv/*
chmod -R u=rwx,g=rwx,o=rwx /home/xz/*
chmod -R u=rwx,g=rwx,o=rwx /home/public/*
#chmod u+s g+s /arm/arml
#chmod u+s g+s /arm/armconfigl
#chmod u=rxw,g=rxw,o=rx /arm/runl
#chmod u=rxw,g=rxw,o=rx /arm/*.sh

# Установка фонтов
cd /arm/mgl/ttf
cp *.ttf /usr/share/fonts/ttf
cd /arm/mgl/fnt
cp *.pcf.gz /usr/share/fonts/bitmap/misc
cd /usr/share/fonts/bitmap/misc
mkfontdir 
fc-cache -f -v

# Копирование ярлыков
cp /arm/mgl/run_arm.desktop /home/arm/.config/autostart
chown arm:arm /home/arm/.config/autostart/run_arm.desktop
chmod u=rwx,g=rwx,o=rwx /home/arm/.config/autostart/run_arm.desktop
cp /arm/mgl/Запуск\ ARM.desktop /home/arm/Рабочий\ стол
chown arm:arm /home/arm/Рабочий\ стол/Запуск\ ARM.desktop
chmod u=rwx,g=rwx,o=rwx /home/arm/Рабочий\ стол/Запуск\ ARM.desktop

# Копирование иконок
cp /arm/mgl/*.xpm /usr/share/icons

# Разрешить root запускать приложения X11
xhost +si:localuser:$USER

# Разрешение на работу с COM-портами для пользователей
usermod -a -G dialout arm
usermod -a -G dialout root

# Разрешение на запуск программ от root (sudo)
sed -i "/root/s/^#//g" /etc/sudoers
sed -i "/WHEEL_USERS/s/^#//g" /etc/sudoers
sed -i "/SUDO_USERS/s/^#//g" /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/arml" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/armconfigl" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/runl" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/run_arm.sh" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/arm.sh" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/sync_tep.sh" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/update.sh" >> /etc/sudoers
echo "user ALL=(ALL) NOPASSWD:/arm/tmp.sh" >> /etc/sudoers

# Создание источников данных для ODBC
#  zmu_rtv - данные с Энергии++ и данные по ПГ
echo "[zmu_rtv]" >> /etc/odbc.ini
echo "Description = zmu_rtv" >> /etc/odbc.ini
echo "Driver = MySQL" >> /etc/odbc.ini
echo "Server = zmu_rtv.zmu" >> /etc/odbc.ini
echo "User = zmu_rtv" >> /etc/odbc.ini
echo "Password = zmu_rtv" >> /etc/odbc.ini
echo "Database = zmu_rtv" >> /etc/odbc.ini

#  meteo - данные по метеостанциям
echo " " >> /etc/odbc.ini
echo "[meteo]" >> /etc/odbc.ini
echo "Description = meteo" >> /etc/odbc.ini
echo "Driver = MySQL" >> /etc/odbc.ini
echo "Server = meteo.zmu" >> /etc/odbc.ini
echo "User = meteo" >> /etc/odbc.ini
echo "Password = meteo" >> /etc/odbc.ini
echo "Database = meteo" >> /etc/odbc.ini

#  lab - данные с Аналитики ПЛ
echo " " >> /etc/odbc.ini
echo "[meteo]" >> /etc/odbc.ini
echo "Description = lab" >> /etc/odbc.ini
echo "Driver = MySQL" >> /etc/odbc.ini
echo "Server = analytic.zmu" >> /etc/odbc.ini
echo "User = zmu_lab" >> /etc/odbc.ini
echo "Password = lab" >> /etc/odbc.ini
echo "Database = lab" >> /etc/odbc.ini

sed -i 's/libmyodbc5/libmyodbc8/g' /etc/odbcinst.ini

# Разрешение на монитирование для пользователей
chmod +s /sbin/mount.cifs

cd /arm
